DCMTK - Bug #816

DcmVR::setVR() should check whether internal VR is acceptable

2018-03-09 14:28 - J6rg Riesmeier

Status: Closed
Priority: Normal
Assignee: Jorg Riesmeier
Category: Library

Target version:
Module: dcmdata

Operating System:

Start date: 2018-03-09
Due date:

% Done: 100%
Estimated time: 0:00 hour
Compiler:

Description

Commit 40c9085 fixes a heap overflow issue that is caused by an invalid dataset. This is done by making sure that internal VRs

(such as "PixelData" and "OverlayData") are handled appropriately in Dcmltem::newDicomElement().

However, this is just a workaround. It would probably make more sense to check for these internal VRs already in
DcmVR::setVR(onst char*), which is also called by the corresponding constructor of this class. Special attention should be paid that

required mappings from internal VR names to the associated enum (e.g. in dump2dcm?) still works.

History

#1 - 2018-03-12 18:21 - J6rg Riesmeier
- Status changed from New to Closed
- Assignee set to Jérg Riesmeier

- % Done changed from 0 to 100

Fixed by commit Oc4cf6e.

#2 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)
